---
agentTools:
  projectIndex: https://docs.mindstamp.com/llms.txt
---

# Delete an interaction

Delete an existing API-created annotation except questions. This uses the annotation ID returned by POST /interactions/create.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "Welcome to the Mindstamp API documentation overview! \n\n As the premium Interactive Video platform, we pride ourselves in providing the best-in-class solution to our customers' needs. In addition to providing a sleek and intuitive interactive video experience, we also provide a comprehensive API that allows our users to retrieve and utilize their Mindstamp data. Mindstamp offers a JSON REST API that provides users the ability to retrieve data for views, viewers, videos, interactions, and users for use in their own applications.",
    "version": "1.0.0",
    "title": "Mindstamp API",
    "termsOfService": "https://mindstamp.com/terms",
    "contact": {
      "email": "hello@mindstamp.com"
    }
  },
  "tags": [
    {
      "name": "Interactions",
      "description": "Everything about your interactions"
    }
  ],
  "security": [
    {
      "APIKeyHeader": []
    },
    {
      "bearerAuth": []
    },
    {
      "oauth2": [
        "public"
      ]
    }
  ],
  "paths": {
    "/interactions/delete/{id}": {
      "delete": {
        "tags": [
          "Interactions"
        ],
        "summary": "Delete an interaction",
        "description": "Delete an existing API-created annotation except questions. This uses the annotation ID returned by POST /interactions/create.",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "The annotation ID for the interaction you want to delete.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/interaction_delete_response"
                }
              }
            }
          },
          "401": {
            "description": "Not Authorized"
          },
          "404": {
            "description": "Not Found"
          },
          "422": {
            "description": "Unprocessable Entity"
          },
          "500": {
            "description": "Error"
          },
          "503": {
            "description": "Rate Limit Exceeded"
          }
        },
        "operationId": "delete_interactions-delete-id"
      }
    }
  },
  "externalDocs": {
    "description": "Find out more about Mindstamp",
    "url": "https://mindstamp.com"
  },
  "servers": [
    {
      "url": "https://api.mindstamp.com/api/v1",
      "description": "Production"
    }
  ],
  "components": {
    "securitySchemes": {
      "APIKeyHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Use a Bearer token, for example: Authorization: Bearer <access_token>"
      },
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "A Mindstamp API token sent as Authorization: Bearer <token>. API tokens never expire."
      },
      "oauth2": {
        "type": "oauth2",
        "description": "OAuth 2.1 authorization code with PKCE for agents and integrations. Clients can register at https://app.mindstamp.com/oauth/register; discovery at https://app.mindstamp.com/.well-known/oauth-authorization-server.",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://app.mindstamp.com/oauth/authorize",
            "tokenUrl": "https://app.mindstamp.com/oauth/token",
            "refreshUrl": "https://app.mindstamp.com/oauth/token",
            "scopes": {
              "public": "Full access to the account's REST API, the same as an API token"
            }
          }
        }
      }
    },
    "schemas": {
      "interaction_delete_response": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "example": "Interaction Deleted"
          },
          "id": {
            "type": "string",
            "example": "23edc293-46d4-4891-b7e8-e64bbde7c2aa"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 103,
      "1": 0,
      "2": 11,
      "3": 247,
      "4": 12,
      "5": 95,
      "6": 174,
      "7": 0,
      "8": 25,
      "9": 224,
      "10": 85,
      "11": 222
    }
  }
}
```